Name:           rsibreak
Version:        0.11
Release:        4%{?dist}
Summary:        A small utility which bothers you at certain intervals
Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://www.rsibreak.org
Source0:        http://rsibreak.org/files/rsibreak-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel desktop-file-utils gettext
BuildRequires:  plasma-devel >= 4.4

%description
RSIBreak is a small utility which bothers you at certain intervals. The
interval and duration of two different timers can be configured. You can
use the breaks to stretch out or do the dishes. The aim of this utility
is to let you know when it is time to have a break from your computer.
This can help people to prevent Repetive Strain Injury.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
%{__rm} -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde
%find_lang plasma_applet_%{name}
cat plasma_applet_%{name}.lang >> %{name}.lang

# validate desktop file
desktop-file-install --vendor ""                          \
        --dir %{buildroot}%{_datadir}/applications/kde4   \
        %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%{_kde4_bindir}/rsibreak
%{_kde4_datadir}/autostart/rsibreak.desktop
%{_kde4_datadir}/applications/kde4/rsibreak.desktop
%{_kde4_datadir}/dbus-1/interfaces/org.rsibreak.rsiwidget.xml
%{_kde4_datadir}/icons/hicolor/*/apps/rsibreak*.png
%{_kde4_datadir}/icons/hicolor/*/actions/rsibreak*.png
%{_kde4_datadir}/icons/hicolor/32x32/actions/duringbreaks.png 
%{_kde4_datadir}/icons/hicolor/32x32/actions/timings.png 
%{_kde4_datadir}/kde4/apps/rsibreak/rsibreak.notifyrc
%{_kde4_datadir}/kde4/apps/desktoptheme/default/widgets/rsibreak.svg 
%{_kde4_datadir}/kde4/services/plasma-engine-rsibreak.desktop           
%{_kde4_datadir}/kde4/services/plasma-applet-rsibreak.desktop           
%{_kde4_datadir}/doc/HTML/*/rsibreak
%{_kde4_libdir}/kde4/plasma_engine_rsibreak.so                         
%{_kde4_libdir}/kde4/plasma_applet_rsibreak.so                         

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Tom Albers <toma@kde.org> - 0.11-1
- New upstream version

* Thu Feb 25 2010 Roland Wolters <wolters.liste@gmx.net> - 0.10-3
- Fixed DSO errors

* Wed Jul 29 2009 Roland Wolters <wolters.liste@gmx.net> - 0.10-1
- Update to upstream version 0.10

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Artem S. Tashkinov <t.artem@mailcity.com> 0.9.0-10
- trunk fix for memory leak

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 06 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.9.0-6
- fix build against KDE 4.2 (patch from Kubuntu)

* Wed Jan 21 2009 Roland Wolters <wolters.liste@gmx.net> 0.9.0-5
- added doc/HTML dir

* Wed Jan 14 2009 Rex Dieter <rdieter@fedoraproject.org> 0.9.0-3
- fix %%find_lang usage
- BR: kdelibs4-devel plasma-devel

* Fri Nov 28 2008 Roland Wolters <wolters.liste@gmx.net> 0.9.0-2
- update to version 0.9 featuring a KDE 4 version

* Fri Feb 22 2008 Roland Wolters <wolters.liste@gmx.net> 0.8.0-5
- rebuild after dbug bug has been fixed in devel branch

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.0-4
- Autorebuild for GCC 4.3

* Sat Dec 01 2007 Roland Wolters <wolters.liste@gmx.net> - 0.8.0-3
- changed build require from kdelibs-devel to kdelibs3-devel
- removed qt-devel dependency, kdelibs3-devel dep should be enough

* Thu Aug 16 2007 Roland Wolters <wolters.liste@gmx.net> - 0.8.0-2
- licence tag corrected

* Fri Oct 13 2006 Roland Wolters <wolters.liste@gmx.net> 0.8.0-1
- update to version 0.8

* Tue Jun 20 2006 Roland Wolters <wolters.liste@gmx.net> 0.7.1-3
- mass rebuild of devel branch

* Tue Jun 20 2006 Roland Wolters <wolters.liste@gmx.net> 0.7.1-1
- update to version 0.7.1
- e-mail-address of packager corrected

* Tue Apr 10 2006 Roland Wolters <rolandwolters@web.de> 0.6.0-1
- initial build
